Skip to main content
GET
/
customers
/
{id}
cURL
curl --request GET \
  --url http://dolfin-service-973993966394.europe-west2.run.app/customers/{id}
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "phone": "<string>",
  "taxNumber": "<string>",
  "addressLine1": "<string>",
  "addressLine2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "postalCode": "<string>",
  "country": "<string>",
  "bankDetails": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "country": "<string>",
    "currency": "<string>",
    "accountHolderName": "<string>",
    "sortCode": "<string>",
    "accountNumber": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Path Parameters

id
string<uuid>
required

Response

OK

name
string
required
id
string<uuid>
organisationId
string<uuid>
email
null | string
phone
null | string
taxNumber
null | string
addressLine1
null | string
addressLine2
null | string
city
null | string
state
null | string
postalCode
null | string
country
null | string
bankDetails
object
createdAt
string<date-time>
updatedAt
string<date-time>